package familie;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

/**
 *
 * @author iii
 */


public class Personenlijst {
    
    private ArrayList<Persoon> personen;    
   
    public Personenlijst(String bestandsnaam) throws FileNotFoundException {
        personen = new ArrayList<>();
        Scanner sc = new Scanner (new File(bestandsnaam));
        while(sc.hasNext()){
            Scanner scPersoon = new Scanner(sc.nextLine());
            scPersoon.useDelimiter(";");
            personen.add(new Persoon(scPersoon.next().trim(),scPersoon.next().trim(),scPersoon.nextInt()));            
        }
        sc.close();
    }
    
    public Persoon geefPersoonMetNaam(String voornaam, String naam){
        for(Persoon p : personen){
            if(  voornaam.equalsIgnoreCase(p.getVoornaam())
                &&   naam.equalsIgnoreCase(p.getNaam())    ){
                return p;
            }
        }
        return null;
    }
    
    public String toString(){
        String str = "\n";
        for(Persoon p : personen){
            str += p.toString()+"\n";            
        }
        return str;
    }
}

